Skip to navigation

Create contact attribute

View as Markdown

Create a new contact attribute under the specified category and name. The required body properties depend on the category: use “type” for normal, transactional, or category attributes; use “value” for calculated or global attributes; use “enumeration” for category attributes; and use “multiCategoryOptions” for normal multiple-choice attributes. None of the category or multicategory option values can exceed 200 characters.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

OR
AuthorizationBearer

OAuth 2.0 client_credentials (machine-to-machine) grant. Exchange your app’s client_id/client_secret for a short-lived Bearer token.

Path parameters

attributeCategoryenumRequired
Category of the attribute
Allowed values:
attributeNamestringRequired
Name of the attribute

Request

Values to create an attribute
enumerationlist of objectsOptional

List of values and labels that the attribute can take. Use only if the attribute’s category is “category”. None of the category options can exceed max 200 characters. For example: [{“value”:1, “label”:“male”}, {“value”:2, “label”:“female”}]

isRecurringbooleanOptional

Type of the attribute. Use only if the attribute’s category is ‘calculated’ or ‘global’

multiCategoryOptionslist of stringsOptional

List of options you want to add for multiple-choice attribute. Use only if the attribute’s category is “normal” and attribute’s type is “multiple-choice”. None of the multicategory options can exceed max 200 characters. For example: [“USA”,“INDIA”]

typeenumOptional

Type of the attribute. Use only if the attribute’s category is ‘normal’, ‘category’ or ‘transactional’ Type user and multiple-choice is only available if the category is normal attribute Type id is only available if the category is transactional attribute Type category is only available if the category is category attribute

valuestringOptional

Value of the attribute. Use only if the attribute’s category is ‘calculated’ or ‘global’

Response

Attribute created

Errors

400
Bad Request Error